Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network98.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
98.0.0.0
Broadcast address
98.127.255.255
First usable
98.0.0.1
Last usable
98.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 62000000 · Integer 1644167168 to 1652555775
Reverse DNS zones
0.98.in-addr.arpa
1.98.in-addr.arpa
2.98.in-addr.arpa
3.98.in-addr.arpa
4.98.in-addr.arpa
5.98.in-addr.arpa
6.98.in-addr.arpa
7.98.in-addr.arpa
8.98.in-addr.arpa
9.98.in-addr.arpa
10.98.in-addr.arpa
11.98.in-addr.arpa
12.98.in-addr.arpa
13.98.in-addr.arpa
14.98.in-addr.arpa
15.98.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100010.00000000.00000000.0000000098.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01100010.00000000.00000000.0000000098.0.0.0
Broadcast01100010.01111111.11111111.1111111198.127.255.255
Split into smaller subnets/18

98.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
198.0.0.0/1898.0.0.1 to 98.0.63.25498.0.63.25516,382
298.0.64.0/1898.0.64.1 to 98.0.127.25498.0.127.25516,382
398.0.128.0/1898.0.128.1 to 98.0.191.25498.0.191.25516,382
498.0.192.0/1898.0.192.1 to 98.0.255.25498.0.255.25516,382
598.1.0.0/1898.1.0.1 to 98.1.63.25498.1.63.25516,382
698.1.64.0/1898.1.64.1 to 98.1.127.25498.1.127.25516,382
798.1.128.0/1898.1.128.1 to 98.1.191.25498.1.191.25516,382
898.1.192.0/1898.1.192.1 to 98.1.255.25498.1.255.25516,382
998.2.0.0/1898.2.0.1 to 98.2.63.25498.2.63.25516,382
1098.2.64.0/1898.2.64.1 to 98.2.127.25498.2.127.25516,382
1198.2.128.0/1898.2.128.1 to 98.2.191.25498.2.191.25516,382
1298.2.192.0/1898.2.192.1 to 98.2.255.25498.2.255.25516,382
1398.3.0.0/1898.3.0.1 to 98.3.63.25498.3.63.25516,382
1498.3.64.0/1898.3.64.1 to 98.3.127.25498.3.127.25516,382
1598.3.128.0/1898.3.128.1 to 98.3.191.25498.3.191.25516,382
1698.3.192.0/1898.3.192.1 to 98.3.255.25498.3.255.25516,382
1798.4.0.0/1898.4.0.1 to 98.4.63.25498.4.63.25516,382
1898.4.64.0/1898.4.64.1 to 98.4.127.25498.4.127.25516,382
1998.4.128.0/1898.4.128.1 to 98.4.191.25498.4.191.25516,382
2098.4.192.0/1898.4.192.1 to 98.4.255.25498.4.255.25516,382
2198.5.0.0/1898.5.0.1 to 98.5.63.25498.5.63.25516,382
2298.5.64.0/1898.5.64.1 to 98.5.127.25498.5.127.25516,382
2398.5.128.0/1898.5.128.1 to 98.5.191.25498.5.191.25516,382
2498.5.192.0/1898.5.192.1 to 98.5.255.25498.5.255.25516,382
2598.6.0.0/1898.6.0.1 to 98.6.63.25498.6.63.25516,382
2698.6.64.0/1898.6.64.1 to 98.6.127.25498.6.127.25516,382
2798.6.128.0/1898.6.128.1 to 98.6.191.25498.6.191.25516,382
2898.6.192.0/1898.6.192.1 to 98.6.255.25498.6.255.25516,382
2998.7.0.0/1898.7.0.1 to 98.7.63.25498.7.63.25516,382
3098.7.64.0/1898.7.64.1 to 98.7.127.25498.7.127.25516,382
3198.7.128.0/1898.7.128.1 to 98.7.191.25498.7.191.25516,382
3298.7.192.0/1898.7.192.1 to 98.7.255.25498.7.255.25516,382
3398.8.0.0/1898.8.0.1 to 98.8.63.25498.8.63.25516,382
3498.8.64.0/1898.8.64.1 to 98.8.127.25498.8.127.25516,382
3598.8.128.0/1898.8.128.1 to 98.8.191.25498.8.191.25516,382
3698.8.192.0/1898.8.192.1 to 98.8.255.25498.8.255.25516,382
3798.9.0.0/1898.9.0.1 to 98.9.63.25498.9.63.25516,382
3898.9.64.0/1898.9.64.1 to 98.9.127.25498.9.127.25516,382
3998.9.128.0/1898.9.128.1 to 98.9.191.25498.9.191.25516,382
4098.9.192.0/1898.9.192.1 to 98.9.255.25498.9.255.25516,382
4198.10.0.0/1898.10.0.1 to 98.10.63.25498.10.63.25516,382
4298.10.64.0/1898.10.64.1 to 98.10.127.25498.10.127.25516,382
4398.10.128.0/1898.10.128.1 to 98.10.191.25498.10.191.25516,382
4498.10.192.0/1898.10.192.1 to 98.10.255.25498.10.255.25516,382
4598.11.0.0/1898.11.0.1 to 98.11.63.25498.11.63.25516,382
4698.11.64.0/1898.11.64.1 to 98.11.127.25498.11.127.25516,382
4798.11.128.0/1898.11.128.1 to 98.11.191.25498.11.191.25516,382
4898.11.192.0/1898.11.192.1 to 98.11.255.25498.11.255.25516,382
4998.12.0.0/1898.12.0.1 to 98.12.63.25498.12.63.25516,382
5098.12.64.0/1898.12.64.1 to 98.12.127.25498.12.127.25516,382
5198.12.128.0/1898.12.128.1 to 98.12.191.25498.12.191.25516,382
5298.12.192.0/1898.12.192.1 to 98.12.255.25498.12.255.25516,382
5398.13.0.0/1898.13.0.1 to 98.13.63.25498.13.63.25516,382
5498.13.64.0/1898.13.64.1 to 98.13.127.25498.13.127.25516,382
5598.13.128.0/1898.13.128.1 to 98.13.191.25498.13.191.25516,382
5698.13.192.0/1898.13.192.1 to 98.13.255.25498.13.255.25516,382
5798.14.0.0/1898.14.0.1 to 98.14.63.25498.14.63.25516,382
5898.14.64.0/1898.14.64.1 to 98.14.127.25498.14.127.25516,382
5998.14.128.0/1898.14.128.1 to 98.14.191.25498.14.191.25516,382
6098.14.192.0/1898.14.192.1 to 98.14.255.25498.14.255.25516,382
6198.15.0.0/1898.15.0.1 to 98.15.63.25498.15.63.25516,382
6298.15.64.0/1898.15.64.1 to 98.15.127.25498.15.127.25516,382
6398.15.128.0/1898.15.128.1 to 98.15.191.25498.15.191.25516,382
6498.15.192.0/1898.15.192.1 to 98.15.255.25498.15.255.25516,382
6598.16.0.0/1898.16.0.1 to 98.16.63.25498.16.63.25516,382
6698.16.64.0/1898.16.64.1 to 98.16.127.25498.16.127.25516,382
6798.16.128.0/1898.16.128.1 to 98.16.191.25498.16.191.25516,382
6898.16.192.0/1898.16.192.1 to 98.16.255.25498.16.255.25516,382
6998.17.0.0/1898.17.0.1 to 98.17.63.25498.17.63.25516,382
7098.17.64.0/1898.17.64.1 to 98.17.127.25498.17.127.25516,382
7198.17.128.0/1898.17.128.1 to 98.17.191.25498.17.191.25516,382
7298.17.192.0/1898.17.192.1 to 98.17.255.25498.17.255.25516,382
7398.18.0.0/1898.18.0.1 to 98.18.63.25498.18.63.25516,382
7498.18.64.0/1898.18.64.1 to 98.18.127.25498.18.127.25516,382
7598.18.128.0/1898.18.128.1 to 98.18.191.25498.18.191.25516,382
7698.18.192.0/1898.18.192.1 to 98.18.255.25498.18.255.25516,382
7798.19.0.0/1898.19.0.1 to 98.19.63.25498.19.63.25516,382
7898.19.64.0/1898.19.64.1 to 98.19.127.25498.19.127.25516,382
7998.19.128.0/1898.19.128.1 to 98.19.191.25498.19.191.25516,382
8098.19.192.0/1898.19.192.1 to 98.19.255.25498.19.255.25516,382
8198.20.0.0/1898.20.0.1 to 98.20.63.25498.20.63.25516,382
8298.20.64.0/1898.20.64.1 to 98.20.127.25498.20.127.25516,382
8398.20.128.0/1898.20.128.1 to 98.20.191.25498.20.191.25516,382
8498.20.192.0/1898.20.192.1 to 98.20.255.25498.20.255.25516,382
8598.21.0.0/1898.21.0.1 to 98.21.63.25498.21.63.25516,382
8698.21.64.0/1898.21.64.1 to 98.21.127.25498.21.127.25516,382
8798.21.128.0/1898.21.128.1 to 98.21.191.25498.21.191.25516,382
8898.21.192.0/1898.21.192.1 to 98.21.255.25498.21.255.25516,382
8998.22.0.0/1898.22.0.1 to 98.22.63.25498.22.63.25516,382
9098.22.64.0/1898.22.64.1 to 98.22.127.25498.22.127.25516,382
9198.22.128.0/1898.22.128.1 to 98.22.191.25498.22.191.25516,382
9298.22.192.0/1898.22.192.1 to 98.22.255.25498.22.255.25516,382
9398.23.0.0/1898.23.0.1 to 98.23.63.25498.23.63.25516,382
9498.23.64.0/1898.23.64.1 to 98.23.127.25498.23.127.25516,382
9598.23.128.0/1898.23.128.1 to 98.23.191.25498.23.191.25516,382
9698.23.192.0/1898.23.192.1 to 98.23.255.25498.23.255.25516,382
9798.24.0.0/1898.24.0.1 to 98.24.63.25498.24.63.25516,382
9898.24.64.0/1898.24.64.1 to 98.24.127.25498.24.127.25516,382
9998.24.128.0/1898.24.128.1 to 98.24.191.25498.24.191.25516,382
10098.24.192.0/1898.24.192.1 to 98.24.255.25498.24.255.25516,382
10198.25.0.0/1898.25.0.1 to 98.25.63.25498.25.63.25516,382
10298.25.64.0/1898.25.64.1 to 98.25.127.25498.25.127.25516,382
10398.25.128.0/1898.25.128.1 to 98.25.191.25498.25.191.25516,382
10498.25.192.0/1898.25.192.1 to 98.25.255.25498.25.255.25516,382
10598.26.0.0/1898.26.0.1 to 98.26.63.25498.26.63.25516,382
10698.26.64.0/1898.26.64.1 to 98.26.127.25498.26.127.25516,382
10798.26.128.0/1898.26.128.1 to 98.26.191.25498.26.191.25516,382
10898.26.192.0/1898.26.192.1 to 98.26.255.25498.26.255.25516,382
10998.27.0.0/1898.27.0.1 to 98.27.63.25498.27.63.25516,382
11098.27.64.0/1898.27.64.1 to 98.27.127.25498.27.127.25516,382
11198.27.128.0/1898.27.128.1 to 98.27.191.25498.27.191.25516,382
11298.27.192.0/1898.27.192.1 to 98.27.255.25498.27.255.25516,382
11398.28.0.0/1898.28.0.1 to 98.28.63.25498.28.63.25516,382
11498.28.64.0/1898.28.64.1 to 98.28.127.25498.28.127.25516,382
11598.28.128.0/1898.28.128.1 to 98.28.191.25498.28.191.25516,382
11698.28.192.0/1898.28.192.1 to 98.28.255.25498.28.255.25516,382
11798.29.0.0/1898.29.0.1 to 98.29.63.25498.29.63.25516,382
11898.29.64.0/1898.29.64.1 to 98.29.127.25498.29.127.25516,382
11998.29.128.0/1898.29.128.1 to 98.29.191.25498.29.191.25516,382
12098.29.192.0/1898.29.192.1 to 98.29.255.25498.29.255.25516,382
12198.30.0.0/1898.30.0.1 to 98.30.63.25498.30.63.25516,382
12298.30.64.0/1898.30.64.1 to 98.30.127.25498.30.127.25516,382
12398.30.128.0/1898.30.128.1 to 98.30.191.25498.30.191.25516,382
12498.30.192.0/1898.30.192.1 to 98.30.255.25498.30.255.25516,382
12598.31.0.0/1898.31.0.1 to 98.31.63.25498.31.63.25516,382
12698.31.64.0/1898.31.64.1 to 98.31.127.25498.31.127.25516,382
12798.31.128.0/1898.31.128.1 to 98.31.191.25498.31.191.25516,382
12898.31.192.0/1898.31.192.1 to 98.31.255.25498.31.255.25516,382
12998.32.0.0/1898.32.0.1 to 98.32.63.25498.32.63.25516,382
13098.32.64.0/1898.32.64.1 to 98.32.127.25498.32.127.25516,382
13198.32.128.0/1898.32.128.1 to 98.32.191.25498.32.191.25516,382
13298.32.192.0/1898.32.192.1 to 98.32.255.25498.32.255.25516,382
13398.33.0.0/1898.33.0.1 to 98.33.63.25498.33.63.25516,382
13498.33.64.0/1898.33.64.1 to 98.33.127.25498.33.127.25516,382
13598.33.128.0/1898.33.128.1 to 98.33.191.25498.33.191.25516,382
13698.33.192.0/1898.33.192.1 to 98.33.255.25498.33.255.25516,382
13798.34.0.0/1898.34.0.1 to 98.34.63.25498.34.63.25516,382
13898.34.64.0/1898.34.64.1 to 98.34.127.25498.34.127.25516,382
13998.34.128.0/1898.34.128.1 to 98.34.191.25498.34.191.25516,382
14098.34.192.0/1898.34.192.1 to 98.34.255.25498.34.255.25516,382
14198.35.0.0/1898.35.0.1 to 98.35.63.25498.35.63.25516,382
14298.35.64.0/1898.35.64.1 to 98.35.127.25498.35.127.25516,382
14398.35.128.0/1898.35.128.1 to 98.35.191.25498.35.191.25516,382
14498.35.192.0/1898.35.192.1 to 98.35.255.25498.35.255.25516,382
14598.36.0.0/1898.36.0.1 to 98.36.63.25498.36.63.25516,382
14698.36.64.0/1898.36.64.1 to 98.36.127.25498.36.127.25516,382
14798.36.128.0/1898.36.128.1 to 98.36.191.25498.36.191.25516,382
14898.36.192.0/1898.36.192.1 to 98.36.255.25498.36.255.25516,382
14998.37.0.0/1898.37.0.1 to 98.37.63.25498.37.63.25516,382
15098.37.64.0/1898.37.64.1 to 98.37.127.25498.37.127.25516,382
15198.37.128.0/1898.37.128.1 to 98.37.191.25498.37.191.25516,382
15298.37.192.0/1898.37.192.1 to 98.37.255.25498.37.255.25516,382
15398.38.0.0/1898.38.0.1 to 98.38.63.25498.38.63.25516,382
15498.38.64.0/1898.38.64.1 to 98.38.127.25498.38.127.25516,382
15598.38.128.0/1898.38.128.1 to 98.38.191.25498.38.191.25516,382
15698.38.192.0/1898.38.192.1 to 98.38.255.25498.38.255.25516,382
15798.39.0.0/1898.39.0.1 to 98.39.63.25498.39.63.25516,382
15898.39.64.0/1898.39.64.1 to 98.39.127.25498.39.127.25516,382
15998.39.128.0/1898.39.128.1 to 98.39.191.25498.39.191.25516,382
16098.39.192.0/1898.39.192.1 to 98.39.255.25498.39.255.25516,382
16198.40.0.0/1898.40.0.1 to 98.40.63.25498.40.63.25516,382
16298.40.64.0/1898.40.64.1 to 98.40.127.25498.40.127.25516,382
16398.40.128.0/1898.40.128.1 to 98.40.191.25498.40.191.25516,382
16498.40.192.0/1898.40.192.1 to 98.40.255.25498.40.255.25516,382
16598.41.0.0/1898.41.0.1 to 98.41.63.25498.41.63.25516,382
16698.41.64.0/1898.41.64.1 to 98.41.127.25498.41.127.25516,382
16798.41.128.0/1898.41.128.1 to 98.41.191.25498.41.191.25516,382
16898.41.192.0/1898.41.192.1 to 98.41.255.25498.41.255.25516,382
16998.42.0.0/1898.42.0.1 to 98.42.63.25498.42.63.25516,382
17098.42.64.0/1898.42.64.1 to 98.42.127.25498.42.127.25516,382
17198.42.128.0/1898.42.128.1 to 98.42.191.25498.42.191.25516,382
17298.42.192.0/1898.42.192.1 to 98.42.255.25498.42.255.25516,382
17398.43.0.0/1898.43.0.1 to 98.43.63.25498.43.63.25516,382
17498.43.64.0/1898.43.64.1 to 98.43.127.25498.43.127.25516,382
17598.43.128.0/1898.43.128.1 to 98.43.191.25498.43.191.25516,382
17698.43.192.0/1898.43.192.1 to 98.43.255.25498.43.255.25516,382
17798.44.0.0/1898.44.0.1 to 98.44.63.25498.44.63.25516,382
17898.44.64.0/1898.44.64.1 to 98.44.127.25498.44.127.25516,382
17998.44.128.0/1898.44.128.1 to 98.44.191.25498.44.191.25516,382
18098.44.192.0/1898.44.192.1 to 98.44.255.25498.44.255.25516,382
18198.45.0.0/1898.45.0.1 to 98.45.63.25498.45.63.25516,382
18298.45.64.0/1898.45.64.1 to 98.45.127.25498.45.127.25516,382
18398.45.128.0/1898.45.128.1 to 98.45.191.25498.45.191.25516,382
18498.45.192.0/1898.45.192.1 to 98.45.255.25498.45.255.25516,382
18598.46.0.0/1898.46.0.1 to 98.46.63.25498.46.63.25516,382
18698.46.64.0/1898.46.64.1 to 98.46.127.25498.46.127.25516,382
18798.46.128.0/1898.46.128.1 to 98.46.191.25498.46.191.25516,382
18898.46.192.0/1898.46.192.1 to 98.46.255.25498.46.255.25516,382
18998.47.0.0/1898.47.0.1 to 98.47.63.25498.47.63.25516,382
19098.47.64.0/1898.47.64.1 to 98.47.127.25498.47.127.25516,382
19198.47.128.0/1898.47.128.1 to 98.47.191.25498.47.191.25516,382
19298.47.192.0/1898.47.192.1 to 98.47.255.25498.47.255.25516,382
19398.48.0.0/1898.48.0.1 to 98.48.63.25498.48.63.25516,382
19498.48.64.0/1898.48.64.1 to 98.48.127.25498.48.127.25516,382
19598.48.128.0/1898.48.128.1 to 98.48.191.25498.48.191.25516,382
19698.48.192.0/1898.48.192.1 to 98.48.255.25498.48.255.25516,382
19798.49.0.0/1898.49.0.1 to 98.49.63.25498.49.63.25516,382
19898.49.64.0/1898.49.64.1 to 98.49.127.25498.49.127.25516,382
19998.49.128.0/1898.49.128.1 to 98.49.191.25498.49.191.25516,382
20098.49.192.0/1898.49.192.1 to 98.49.255.25498.49.255.25516,382
20198.50.0.0/1898.50.0.1 to 98.50.63.25498.50.63.25516,382
20298.50.64.0/1898.50.64.1 to 98.50.127.25498.50.127.25516,382
20398.50.128.0/1898.50.128.1 to 98.50.191.25498.50.191.25516,382
20498.50.192.0/1898.50.192.1 to 98.50.255.25498.50.255.25516,382
20598.51.0.0/1898.51.0.1 to 98.51.63.25498.51.63.25516,382
20698.51.64.0/1898.51.64.1 to 98.51.127.25498.51.127.25516,382
20798.51.128.0/1898.51.128.1 to 98.51.191.25498.51.191.25516,382
20898.51.192.0/1898.51.192.1 to 98.51.255.25498.51.255.25516,382
20998.52.0.0/1898.52.0.1 to 98.52.63.25498.52.63.25516,382
21098.52.64.0/1898.52.64.1 to 98.52.127.25498.52.127.25516,382
21198.52.128.0/1898.52.128.1 to 98.52.191.25498.52.191.25516,382
21298.52.192.0/1898.52.192.1 to 98.52.255.25498.52.255.25516,382
21398.53.0.0/1898.53.0.1 to 98.53.63.25498.53.63.25516,382
21498.53.64.0/1898.53.64.1 to 98.53.127.25498.53.127.25516,382
21598.53.128.0/1898.53.128.1 to 98.53.191.25498.53.191.25516,382
21698.53.192.0/1898.53.192.1 to 98.53.255.25498.53.255.25516,382
21798.54.0.0/1898.54.0.1 to 98.54.63.25498.54.63.25516,382
21898.54.64.0/1898.54.64.1 to 98.54.127.25498.54.127.25516,382
21998.54.128.0/1898.54.128.1 to 98.54.191.25498.54.191.25516,382
22098.54.192.0/1898.54.192.1 to 98.54.255.25498.54.255.25516,382
22198.55.0.0/1898.55.0.1 to 98.55.63.25498.55.63.25516,382
22298.55.64.0/1898.55.64.1 to 98.55.127.25498.55.127.25516,382
22398.55.128.0/1898.55.128.1 to 98.55.191.25498.55.191.25516,382
22498.55.192.0/1898.55.192.1 to 98.55.255.25498.55.255.25516,382
22598.56.0.0/1898.56.0.1 to 98.56.63.25498.56.63.25516,382
22698.56.64.0/1898.56.64.1 to 98.56.127.25498.56.127.25516,382
22798.56.128.0/1898.56.128.1 to 98.56.191.25498.56.191.25516,382
22898.56.192.0/1898.56.192.1 to 98.56.255.25498.56.255.25516,382
22998.57.0.0/1898.57.0.1 to 98.57.63.25498.57.63.25516,382
23098.57.64.0/1898.57.64.1 to 98.57.127.25498.57.127.25516,382
23198.57.128.0/1898.57.128.1 to 98.57.191.25498.57.191.25516,382
23298.57.192.0/1898.57.192.1 to 98.57.255.25498.57.255.25516,382
23398.58.0.0/1898.58.0.1 to 98.58.63.25498.58.63.25516,382
23498.58.64.0/1898.58.64.1 to 98.58.127.25498.58.127.25516,382
23598.58.128.0/1898.58.128.1 to 98.58.191.25498.58.191.25516,382
23698.58.192.0/1898.58.192.1 to 98.58.255.25498.58.255.25516,382
23798.59.0.0/1898.59.0.1 to 98.59.63.25498.59.63.25516,382
23898.59.64.0/1898.59.64.1 to 98.59.127.25498.59.127.25516,382
23998.59.128.0/1898.59.128.1 to 98.59.191.25498.59.191.25516,382
24098.59.192.0/1898.59.192.1 to 98.59.255.25498.59.255.25516,382
24198.60.0.0/1898.60.0.1 to 98.60.63.25498.60.63.25516,382
24298.60.64.0/1898.60.64.1 to 98.60.127.25498.60.127.25516,382
24398.60.128.0/1898.60.128.1 to 98.60.191.25498.60.191.25516,382
24498.60.192.0/1898.60.192.1 to 98.60.255.25498.60.255.25516,382
24598.61.0.0/1898.61.0.1 to 98.61.63.25498.61.63.25516,382
24698.61.64.0/1898.61.64.1 to 98.61.127.25498.61.127.25516,382
24798.61.128.0/1898.61.128.1 to 98.61.191.25498.61.191.25516,382
24898.61.192.0/1898.61.192.1 to 98.61.255.25498.61.255.25516,382
24998.62.0.0/1898.62.0.1 to 98.62.63.25498.62.63.25516,382
25098.62.64.0/1898.62.64.1 to 98.62.127.25498.62.127.25516,382
25198.62.128.0/1898.62.128.1 to 98.62.191.25498.62.191.25516,382
25298.62.192.0/1898.62.192.1 to 98.62.255.25498.62.255.25516,382
25398.63.0.0/1898.63.0.1 to 98.63.63.25498.63.63.25516,382
25498.63.64.0/1898.63.64.1 to 98.63.127.25498.63.127.25516,382
25598.63.128.0/1898.63.128.1 to 98.63.191.25498.63.191.25516,382
25698.63.192.0/1898.63.192.1 to 98.63.255.25498.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses